﻿
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using School_Entity;
using School_BLL.clsPublic;

namespace School_Web.admin.basic
{
    public partial class softconfigxml : BasicWeb
    {

        /// <summary>
        /// 系统初始化的时候调用
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void Page_Load(object sender, EventArgs e)
        {
            //Response.Charset("GB2312");
            if (!Page.IsPostBack)
            {
                SkyMustAdministrator();
                SkyIsGoFunction(0);
                this.txtElectiveBeginDate.Attributes.Add("readOnly", "readOnly");
                this.txtElectiveEndDate.Attributes.Add("readOnly", "readOnly");
                SkyLoadDefault();
                SkyShowDefaultInfo();
            }
        }

        /// <summary>
        /// 加载默认数据
        /// </summary>
        protected void SkyLoadDefault()
        {

            string sID = string.Empty;
            sID = (Request["id"]);
            sID = "1000";
            if (sID != null)
            {
                sID = this.SkyTool_Math_IsInt(sID);
                WebConfigXML res = new WebConfigXML();
                S_SkyConfigXML sGet = new S_SkyConfigXML();
                sGet = res.BasicGetConfigXMLByID(sID);
                SkySSetForm(this.Page, sGet);
                
                ViewState["sID"] = sID;
            }

        }

        /// <summary>
        /// 处理增加和删除事件
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            SkyThreading();
            if (PageAuthentication(this.Page.Controls))
            {
                Button btn = (Button)sender;
                string sID = string.Empty;
                WebConfigXML res = new WebConfigXML();
                S_SkyConfigXML sGet = new S_SkyConfigXML();
                string sReturn;
                sGet = (S_SkyConfigXML)SkySGetForm(this.Page, sGet);


                sID = Convert.ToString(ViewState["sID"]);
                if (sID == "")
                {
                    sGet.dCreateDate = DateTime.Now.ToString();
                    sGet.sIP = Request.UserHostAddress.ToString();
                }
                else
                {
                    sGet.iID = sID;
                }

                sReturn = res.BasicUpdateConfigXMLByID(sGet, this.Userid);
                this.SkyToolMessage(sReturn);
            }  
        }
    }
}
