﻿

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using School_Entity;
using School_BLL.ver3.clsV3Basic;
using School_Tools;
using School_BLL.clsPublic;
namespace School_Web.admin.basic
{
    public partial class topurlmanage : BasePageV3
    {
        

        #region 变量定义

        SkyTopURLService res = new SkyTopURLService();
        SkyTopURL entity = new SkyTopURL();
        #endregion

        #region 页面加载

        protected void Page_Load(object sender, EventArgs e)
        {
            pDefault.sTInfo = "顶部导航";
            if (!Page.IsPostBack)
            {
                UsShowDefaultInfo();
                UsLoadDefault();

            }
        }

        #endregion

        #region 加载默认数据

        protected void UsLoadDefault()
        {
            string sID = string.Empty;
            sID = (Request["id"]);

            if (sID != null)
            {
                sID = this.UsToolsMath_IsInt(sID);
                entity.iID = sID;
                entity = res.GetEntityByEntity(entity);
                EntityToForm(this.Page, entity);
                ViewState["sID"] = sID;
                //this.txtITypeID.Enabled = false;
            }
            else
            {
                //SkyAutoIDGet("ITypeBigID", this.txtITypeID);
            }

        }
        #endregion

        #region 提交数据

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            UsThreading();

            //自动验证数据格式
            if (PageAuthentication(this.Page.Controls))
            {
                string sID = string.Empty, sInfo = "";
                int iReturn = 0;

                //获取实体数据存放到页面
                entity = (SkyTopURL)FormToEntity(this.Page, entity);

                //SID不是空,表示是修改
                sID = Convert.ToString(ViewState["sID"]);
                if (sID == "")
                {
                    sInfo = sHTMLAddstr;
                    entity.iID = null;//增加的时候,ID是主键,不要增加,因次给NULL
                    iReturn = res.AddByEntity(entity);
                }
                else
                {
                    sInfo = sHTMLEditstr;
                    entity.iID = sID;
                    iReturn = res.UpdateByEntity(entity);
                }
                sInfo += pDefault.sTInfo;
                if (iReturn == 0)
                {
                    sInfo += sHTMLSuccessstr;
                    if (sID == "")
                    {
                        //SkyAutoIDSet("ITypeBigID", this.txtITypeID);
                    }
                }
                else
                {
                    sInfo += sHTMLFailstr;
                }

                //记录日志
                Log(FuncID.System, sInfo, entity);
                Application["TopURLHTML"] = null;
                //输出提示信息;
                this.UsToolMessageOpen(sInfo);
            }
        }

        #endregion

    }
}

