﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="teachermanage.aspx.cs"
    Inherits="School_Web.admin.teacher.teachermanage" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>教师管理</title>
    <asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>

    <script language="javascript" src="/admin/js/SystemPage.js" type="text/jscript"></script>

    <script language="javascript" src="/admin/My97DatePicker/WdatePicker.js" type="text/jscript"></script>

    <link href="../style/green/skin.css" rel="stylesheet" type="text/css">

    <script type="text/javascript" src="/admin/style/jquery/jquery.js"></script>

    <script language="javascript" type="text/javascript">
        $(document).ready(function() {
            $("#topURLul").children().click(function() {
                $(this).siblings().removeClass().end().addClass("divURLed");
                $("#mypanel").children().css("display", "none");
                $("#d" + this.id).css("display", "");

                //alert(this.id);
            });
            $("#topURLul").children().hover(
              function() {
                  $(this).addClass("divURLon");
                  //akon(this);
              },
              function() {
                  if ($(this).attr("class") != "divURLed") {
                      $(this).removeClass("divURLon");
                  }
              }
            );
        });
    </script>

</head>
<body onload="win_onLoad();">
    <form id="Form1" method="post" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <div id="tbMain">
                <div class="divTbg">
                    <div class="divTbgL">
                    </div>
                    <div class="divTbgInfo">
                        <div class="divTbgTitle">
                            教师管理</div>
                    </div>
                </div>
                <div class="divTbgF">
                </div>
                <div class="divTNavBG" id="topURL">
                    <ul id="topURLul">
                        <li class="divURLed" id="div1">
                            <div>
                                <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                                基本信息</div>
                        </li>
                        <li id="div2">
                            <div>
                                <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                                奖惩信息</div>
                        </li>
                        <li id="div3">
                            <div>
                                <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                                论文信息</div>
                        </li>
                        <li id="div4">
                            <div>
                                <img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />
                                高级信息</div>
                        </li>
                    </ul>
                </div>
                <div id="mypanel">
                    <div class="divInfo" id="ddiv1">
                        <div class="divInfoTop">
                            <div class="listLeft">
                                <ul>
                                    <li>
                                        <div>
                                            <img src="../style/green/images/basic.gif" /></div>
                                    </li>
                                    <li>基本信息</li>
                                </ul>
                            </div>
                        </div>
                        <div class="divInfoContext">
                            <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="SkyTDLine">
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        隶属院系
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSkyDID" runat="server" Width="200px" AutoPostBack="True"
                                            OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged">
                                        </asp:DropDownList>
                                    </td>
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        教师照片
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSpic" runat="server" Width="200px"></asp:TextBox>
                                        <a href="#" onclick="SkyOpen('txtSpic');">[选择]</a> <a href="#" onclick="SkyView('txtSpic');">
                                            [查看]</a>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        教师编号
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtUserID" runat="server" CssClass="15" ToolTip="教师编号" Width="200px"
                                            MaxLength="10"></asp:TextBox>
                                        (不能修改10位)
                                    </td>
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        教师名称
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtUserName" runat="server" CssClass="1" ToolTip="教师名称" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        登陆密码
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtUserPwd" runat="server" CssClass="1" ToolTip="登陆密码" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        身份类型
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpTeacherType" runat="server" Width="200px">
                                            <asp:ListItem Value="TeacherType">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        教师性别
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSSex" runat="server" Width="200px">
                                            <asp:ListItem Value="Sex">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                    <td align="center" class="SkyTDTopLine" width="100">
                                        出生日期
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSAge" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        身份证号
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtsInd" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        教师民族
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSNational" runat="server" Width="200px">
                                            <asp:ListItem Value="National">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        工作单位
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSCompany" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        工作职务
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSPositions" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        单位通讯地址
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSCAddr" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        邮政编码
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSCPost" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                    职工编号
                                    </td>
                                    <td class="SkyTDLine">
                                    <asp:TextBox ID="txtSTeacherNumber" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        单位电话
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSCTel" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        家庭住址
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSFAddr" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        家庭电话
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSFTel" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" class="SkyTDTopLine">
                                        个人电话
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSPTel" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        个人邮箱
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSPEmail" runat="server" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine">
                                        政治面貌
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSZhengzhi" runat="server" Width="200px" ToolTip="政治面貌">
                                            <asp:ListItem Value="SZhengzhi">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        教师性质
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSTeacherXZ" runat="server" Width="200px" ToolTip="教师性质">
                                            <asp:ListItem Value="TeacherXZ">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine">
                                        教师职称
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSTeacherZC" runat="server" Width="200px" ToolTip="教师职称">
                                            <asp:ListItem Value="TeacherZC">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        教师学历
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:DropDownList ID="drpSTeacherXL" runat="server" Width="200px" ToolTip="教师学历">
                                            <asp:ListItem Value="TeacherXL">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td align="center" class="SkyTDTopLine">
                                        所学专业
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtSTeacherZY" runat="server" ToolTip="所学专业" Width="200px"></asp:TextBox>
                                    </td>
                                    <td align="center" class="SkyTDTopLine">
                                        教师学位
                                    </td>
                                    <td class="SkyTDLine">
                                     <asp:DropDownList ID="drpSTeacherXW" runat="server" Width="200px" ToolTip="教师学位">
                                            <asp:ListItem Value="STeacherXW">code</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="divInfo" id="ddiv2" style="display: none;">
                        <div class="divInfoTop">
                            <div class="listLeft">
                                <ul>
                                    <li>
                                        <div>
                                            <img src="../style/green/images/basic.gif" /></div>
                                    </li>
                                    <li>奖惩信息</li>
                                </ul>
                            </div>
                        </div>
                        <div class="divInfoContext">
                            <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="SkyTDLine">
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        奖惩信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTReward" TextMode="MultiLine" runat="server" ToolTip="奖惩信息" Height="80px"
                                            Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        惩罚信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTPunishment" TextMode="MultiLine" runat="server" ToolTip="惩罚信息"
                                            Height="80px" Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="divInfo" id="ddiv3" style="display: none;">
                        <div class="divInfoTop">
                            <div class="listLeft">
                                <ul>
                                    <li>
                                        <div>
                                            <img src="../style/green/images/basic.gif" /></div>
                                    </li>
                                    <li>论文信息</li>
                                </ul>
                            </div>
                        </div>
                        <div class="divInfoContext">
                            <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="SkyTDLine">
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        论文信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTPaper" TextMode="MultiLine" runat="server" ToolTip="论文信息" Height="80px"
                                            Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        专利信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTPatent" TextMode="MultiLine" runat="server" ToolTip="专利信息" Height="80px"
                                            Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        论著信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTOnthe" TextMode="MultiLine" runat="server" ToolTip="论著信息" Height="80px"
                                            Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="divInfo" id="ddiv4" style="display: none;">
                        <div class="divInfoTop">
                            <div class="listLeft">
                                <ul>
                                    <li>
                                        <div>
                                            <img src="../style/green/images/basic.gif" /></div>
                                    </li>
                                    <li>高级信息</li>
                                </ul>
                            </div>
                        </div>
                        <div class="divInfoContext">
                            <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="SkyTDLine">
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        文章信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTArticle" TextMode="MultiLine" runat="server" ToolTip="文章信息"
                                            Height="80px" Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        科研信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTResearch" TextMode="MultiLine" runat="server" ToolTip="科研信息"
                                            Height="80px" Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        出国信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTAbroad" TextMode="MultiLine" runat="server" ToolTip="出国信息" Height="80px"
                                            Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr class="MeNewTDLine">
                                    <td width="100" align="center" valign="top" class="SkyTDTopLine">
                                        进修信息
                                    </td>
                                    <td class="SkyTDLine">
                                        <asp:TextBox ID="txtTEducation" TextMode="MultiLine" runat="server" ToolTip="进修信息"
                                            Height="80px" Width="600px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="divSave">
                    <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus"
                        OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
                    <asp:Button ID="btnSubmitClose" runat="server" CommandName="saveclose" CssClass="SkyButtonFocus"
                        OnClick="btnSubmit_Click" Text="取消(C)" />
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
        <ProgressTemplate>
            <div id="divLoading">
                <img src="/admin/images/loading.gif" />
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>
    </form>
</body>
</html>
