﻿
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using School_Entity;
using School_BLL.clsPublic;

namespace School_Web.admin.basic
{
    public partial class autoidmanage : BasicWeb
    {

        /// <summary>
        /// 系统初始化的时候调用
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                SkyMustAdministrator();
                SkyLoadDefault();
                SkyShowDefaultInfo();
            }
        }


        /// <summary>
        /// 加载默认数据
        /// </summary>
        protected void SkyLoadDefault()
        {

            string sID = string.Empty;
            sID = (Request["id"]);
            if (sID != null)
            {
                sID = this.SkyTool_Math_IsInt(sID);
                WebAutoID res = new WebAutoID();
                S_SkyAutoID sGet = new S_SkyAutoID();
                sGet = res.BasicGetAutoIDByID(sID);
                SkySSetForm(this.Page, sGet);
                ViewState["sID"] = sID;
            }
           
        }

        /// <summary>
        /// 处理增加和删除事件
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            SkyThreading();
            if (PageAuthentication(this.Page.Controls))
            {
                Button btn = (Button)sender;

               
                string sID = string.Empty;
                WebAutoID res = new WebAutoID();
                S_SkyAutoID sGet = new S_SkyAutoID();
                string sReturn;
                sGet = (S_SkyAutoID)SkySGetForm(this.Page, sGet);


                sID = Convert.ToString(ViewState["sID"]);
                if (sID == "")
                {
                    sGet.dCreateDate = DateTime.Now.ToString();
                    sGet.sIP = Request.UserHostAddress.ToString();
                }
                else
                {
                    sGet.iID = sID;
                }

                sReturn = res.BasicUpdateAutoIDByID(sGet, this.Userid);

                string sTmp = string.Empty;
                if (btn.CommandName.ToLower() == "save")
                {
                    sTmp = "AJAXAlert('" + sReturn + "');";
                }
                else
                {
                    sTmp = "CloseAJAXAlert('" + sReturn + "');";
                }

                SkyToolMessageJS(sTmp);
            }
        }
    }
}
