﻿
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using School_Entity;
using School_BLL.ver3.clsV3Basic;
using School_Tools;

namespace School_Web.admin.basic
{
    public partial class printconfigmanager : BasePageV3
    {
        #region 变量定义

        SkyPrintConfigService res = new SkyPrintConfigService();
        SkyPrintConfig entity = new SkyPrintConfig();

        #endregion

        #region 页面加载

        protected void Page_Load(object sender, EventArgs e)
        {
            pDefault.sTInfo = "打印模板";
            if (!Page.IsPostBack)
            {
                SkyIsGoFunction(SkyRegisterModel.基本设置系统00);
                UsShowDefaultInfo();
                UsLoadDefault();
                
            }
        }

        #endregion

        #region 加载默认数据

        protected void UsLoadDefault()
        {
            string sID = string.Empty;
            sID = (Request["id"]);
            
            if (sID != null)
            {
                sID = this.UsToolsMath_IsInt(sID);
                entity.iID = sID;
                entity = res.GetEntityByEntity(entity);
                EntityToForm(this.Page, entity);
                ViewState["sID"] = sID;

                this.txtPKey.Enabled = false;
            }
            else
            {
                
                
              
            }
        }
        #endregion

        #region 提交数据

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            UsThreading();

            //自动验证数据格式
            if (PageAuthentication(this.Page.Controls))
            {

                string sID = string.Empty, sInfo = "";
                int iReturn = 0;

                //获取实体数据存放到页面
                entity = (SkyPrintConfig)FormToEntity(this.Page, entity);
                
                //SID不是空,表示是修改
                sID = Convert.ToString(ViewState["sID"]);

                Button btn = (Button)sender;

                if (btn.ID == this.btnSubmit.ID)
                {
                    if (sID == "")
                    {
                        sInfo = sHTMLAddstr;
                        entity.iID = null;//增加的时候,ID是主键,不要增加,因次给NULL

                        iReturn = res.AddByEntity(entity);

                        
                    }
                    else
                    {
                        sInfo = sHTMLEditstr;
                        entity.iID = sID;
                        iReturn = res.UpdateByEntity(entity);
                    }

                }
                else
                {
                    
                }
                sInfo += pDefault.sTInfo;
                if (iReturn == 0)
                {
                    sInfo += sHTMLSuccessstr;
                }
                else
                {
                    sInfo += sHTMLFailstr+",请检查系统中内是否已经存在该项目！";
                }
                //记录日志

                entity.sPOCss = "";
                entity.sPONote="";
                entity.sPOShow = "";

                //Log(FuncID.SkySalaryFiled, sInfo, entity);

                //输出提示信息;
                this.UsToolMessageOpen(sInfo);
            }
        }

        #endregion

        
    }
}
