﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="softconfigxml.aspx.cs" Inherits="School_Web.admin.basic.softconfigxml" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title>高级设置</title>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8,chrome=1" />
<asp:Literal ID="litregscript" runat="server" Text=""></asp:Literal>
<script language="javascript" src="/admin/js/SystemPage.js" type="text/jscript"></script>
<script language="javascript" src="/admin/My97DatePicker/WdatePicker.js" type="text/jscript"></script>
<link href="../style/green/skin.css" rel="stylesheet" type="text/css">
</head>
<body>
<form id="Form1" method="post" runat="server">
  <asp:ScriptManager ID="ScriptManager1" runat="server"> </asp:ScriptManager>
  <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
      <div id="tbMain">
        <div class="divTbg">
          <div class="divTbgL"></div>
          <div class="divTbgInfo">
            <div class="divTbgTitle">高级设置</div>
          </div>
        </div>
        <div class="divTbgF"></div>
        <div class="divTNavBG" id="topURL">
          <ul id="topURLul">
            <li class="divURLed" id="div1">
              <div><img src="../style/green/images/mini_icons_046.gif" width="10" height="10" />高级设置</div>
            </li>
          </ul>
        </div>
        <div id="mypanel">
          <div class="divInfo" id="ddiv1">
            <div class="divInfoTop">
              <div class="listLeft">
                <ul>
                  <li>
                    <div><img src="../style/green/images/basic.gif"/></div>
                  </li>
                  <li>高级设置</li>
                </ul>
              </div>
            </div>
            <div class="divInfoContext">
              <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="tablist">
                <tr class="MeNewTDLine">
                  <td width="100" align="center" class="SkyTDTopLine"> 分页数量 </td>
                  <td class="SkyTDLine"><asp:TextBox ID="txtPageSize" runat="server" CssClass="2" ToolTip="分页数量" Width="200px"></asp:TextBox>(条)
                  列表页面每一页显示几条记录
                  </td>
                </tr>
                <tr class="MeNewTDLine">
                  <td width="100" align="center" class="SkyTDTopLine"> 修改时间 </td>
                  <td class="SkyTDLine"><asp:TextBox ID="txtModifyDate" runat="server" CssClass="2" ToolTip="修改时间" Width="200px"></asp:TextBox>(天)
                  教师评价系统内部，评价记录在几天内可以修改。
                  </td>
                </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          身份证限制</td>
                      <td class="SkyTDLine">
                         <asp:DropDownList ID="drpIsMustInd" runat="server">
                                            <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                                        </asp:DropDownList>
                    开启学生身份证限制功能，则录入学生的身份证号码必须唯一
                                        </td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          学号限制</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpIsMustStudentAdd" runat="server">
                                            <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                                        </asp:DropDownList>
                    开启学号前缀必须是班级编号功能                    </td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          密码修改</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpStudentIsModify" runat="server">
                              <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                          </asp:DropDownList>
                   学生只能修改自己的密码，别的信息无法修改
                      </td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          院系管理员</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpStudentYX" runat="server">
                              <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                          </asp:DropDownList>
                          院系管理员是否可以增加和修改学生信息</td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          院系管理员</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpStudentYXModifyNameInd" runat="server">
                              <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                          </asp:DropDownList>
                          是否可以修改学生名称和身份证</td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          开课天数</td>
                      <td class="SkyTDLine">
                          <asp:TextBox ID="txtCourseDefaultDate" runat="server" CssClass="2" ReadOnly="true"
                              ToolTip="开课天数" Width="200px"></asp:TextBox>
                          课程表默认一周天数，系统默认7天，系统正常录入数据后<b>(<a href="/admin/autocourse/coursedesign.aspx">点击修改</a>)</b></td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          开课节数</td>
                      <td class="SkyTDLine">
                          <asp:TextBox ID="txtCourseDefaultDateNumber" runat="server" CssClass="2" ReadOnly="true"
                              ToolTip="开课节数" Width="200px"></asp:TextBox>
                          课程表默认一天课程开课节数，系统默认 8节<b>(<a href="/admin/autocourse/coursedesign.aspx">点击修改</a>)</b></td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          最大开课数</td>
                      <td class="SkyTDLine">
                          <asp:TextBox ID="txtCourseDefaultNumber" runat="server" CssClass="2" 
                              ToolTip="最大开课数" Width="200px"></asp:TextBox>
                          系统课程最大可以开设数量 ，系统默认30节</td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          选课开始时间</td>
                      <td class="SkyTDLine"><asp:TextBox ID="txtElectiveBeginDate" runat="server" Width="200px" onfocus="WdatePicker({skin:'whyGreen',dateFmt:'yyyy-MM-dd HH:mm:ss'})"></asp:TextBox></td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          选课结束时间</td>
                      <td class="SkyTDLine">
                          <asp:TextBox ID="txtElectiveEndDate" runat="server" Width="200px" onfocus="WdatePicker({skin:'whyGreen',dateFmt:'yyyy-MM-dd HH:mm:ss'})"></asp:TextBox></td>
                  </tr>
                  
                  
                  
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          成绩比例配置</td>
                      <td class="SkyTDLine">
                          <asp:TextBox ID="txtStudentCJPencent" runat="server" CssClass="1" 
                              ToolTip="成绩比例配置" Width="200px"></asp:TextBox>
                          配置成绩录入页面的成绩综合计算比例：4个数值，中间用英文逗号分隔；例如：20,30,10,40 可以表示：平时成绩,作业成绩,期中成绩,期末成绩在计算的时候的综合比例；</td>
                  </tr>
                  
                  
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          开启系统</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpWebState" runat="server">
                              <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                          </asp:DropDownList> 是:代表系统可以正常登陆，否:表示只有管理员可以登录，其他人员无法登录</td>
                  </tr>
                  
                   <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          系统关闭说明</td>
                      <td class="SkyTDLine">
                         <asp:TextBox ID="txtWebCloseInfo" runat="server" ToolTip="系统关闭说明" Width="500px" TextMode="MultiLine" Height="100px">
                         </asp:TextBox><br />
                         当网站关闭的时候，显示此信息给登录用户；例如：系统正在维护中，预计2014年X月X日即可正常使用；
                         </td>
                  </tr>
                  
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          教师评价开关</td>
                      <td class="SkyTDLine">
                          <asp:DropDownList ID="drpTeacherPJState" runat="server">
                              <asp:ListItem Value="SysIsUsed">code</asp:ListItem>
                          </asp:DropDownList>是:代表教师可以评价全部的教师，否：表示教师只可以评价本院系的教师</td>
                  </tr>
                  
              </table>
            </div>
          </div>
        </div>
        <div class="divSave">
          <asp:Button ID="btnSubmit" runat="server" Text="保存(S)" CssClass="SkyButtonFocus"
                                                                                                    OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
          <asp:Button ID="btnSubmitClose" runat="server" CommandName="saveclose" CssClass="SkyButtonFocus"
                                                                                                    OnClick="btnSubmit_Click" Text="取消(C)" />
        </div>
      </div>
    </ContentTemplate>
  </asp:UpdatePanel>
  <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate>
      <div id="divLoading"> <img src="/admin/images/loading.gif" /> </div>
    </ProgressTemplate>
  </asp:UpdateProgress>
</form>
</body>
</html>
