﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="excel3student.aspx.cs" Inherits="School_Web.admin.excel.excel3student" %>


<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title>毕业证书导出</title>
<script language="javascript" src="/admin/js/SystemPage.js" type="text/jscript"></script>
<script language="javascript" src="/admin/My97DatePicker/WdatePicker.js" type="text/jscript"></script>
<link href="../style/green/skin.css" rel="stylesheet" type="text/css">
<script language="javascript" src="/admin/My97DatePicker/WdatePicker.js" type="text/jscript"></script>
</head>
<body>
<form id="Form1" method="post" runat="server">
  <asp:ScriptManager ID="ScriptManager1" runat="server"> </asp:ScriptManager>
  <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <Triggers>
      <asp:PostBackTrigger ControlID="btnSubmit" />
    </Triggers>
    <ContentTemplate>
      <div id="tbMain">
        <div class="divTbg">
          <div class="divTbgL"></div>
          <div class="divTbgInfo">
            <div class="divTbgTitle">毕业证书导出</div>
          </div>
        </div>
        <div class="divTbgF"></div>
        <div class="divTNavBG" id="topURL">
          <ul id="topURLul">
            <li class="divURLed" id="div1">
              <div><img src="../style/green/images/mini_icons_046.gif" width="10" height="10" /> 学生信息</div>
            </li>
          </ul>
        </div>
        <div id="mypanel">
          <div class="divInfo" id="ddiv1">
            <div class="divInfoTop">
              <div class="listLeft">
                <ul>
                  <li>
                    <div><img src="../style/green/images/basic.gif"/></div>
                  </li>
                  <li>导入导出</li>
                </ul>
              </div>
            </div>
            <div class="divInfoContext">
              <table width="99%" border="0" align="center" cellpadding="0" cellspacing="1" class="SkyTDLine">
                <tr class="MeNewTDLine">
                  <td width="100" align="center" class="SkyTDTopLine"> 隶属院系 </td>
                  <td class="SkyTDLine"><asp:DropDownList ID="drpSkyDID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyDID_SelectedIndexChanged"> </asp:DropDownList>
                  </td>
                </tr>
                <tr class="MeNewTDLine">
                  <td width="100" align="center" class="SkyTDTopLine"> 隶属专业 </td>
                  <td class="SkyTDLine"><asp:DropDownList ID="drpSkyPID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpSkyPID_SelectedIndexChanged"> </asp:DropDownList>
                  </td>
                </tr>
                <tr class="MeNewTDLine">
                  <td width="100" align="center" class="SkyTDTopLine"> 隶属班级 </td>
                  <td class="SkyTDLine"><asp:DropDownList ID="drpSkyCID" runat="server"> </asp:DropDownList>
                  </td>
                </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          导出类型</td>
                      <td class="SkyTDLine">
                           <asp:DropDownList ID="drpSState" runat="server" Width="200px">
                                            <asp:ListItem Value="SState">code</asp:ListItem>
                                        </asp:DropDownList>                         </td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          导出格式</td>
                      <td class="SkyTDLine">
                           <asp:DropDownList ID="drpExcelStudentType" runat="server" Width="200px">
                                            <asp:ListItem Value="ExcelStudentType">code</asp:ListItem>
                                        </asp:DropDownList>                         </td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          导出时间</td>
                      <td class="SkyTDLine">
                           <asp:TextBox ID="txtStartDate" runat="server" CssClass="1" ToolTip="导出时间" Width="200px"></asp:TextBox></td>
                  </tr>
                  <tr class="MeNewTDLine">
                      <td align="center" class="SkyTDTopLine" width="100">
                          导出说明</td>
                      <td class="SkyTDLine">
                          毕业证书导出的模板可以自己维护，具体可以使用的参数如下：<br />
                          学生姓名=Username，学生性别=SSexname，出生日期=Sage+(yyyy或者MM或者dd)，入学时间=SEntryDate+(yyyy或者MM或者dd)
                          <br />
                          毕业时间=SRegistrationDate+(yyyy或者MM或者dd)，学生专业=SkyPName，学生学制=SSystemName，学生学历=SLevelName，学校名称=SSchoolName，证书编号=SRegistration，打印时间=SPrintDate+(yyyy或者MM或者dd)</td>
                  </tr>
              </table>
            </div>
          </div>
        </div>
        <div class="divSave">
          <asp:Button ID="btnSubmit" runat="server" Text="操作(S)" CssClass="SkyButtonFocus"
                                                                                                    OnClick="btnSubmit_Click" AccessKey="S" CommandName="save"></asp:Button>
            
        </div>
      </div>
    </ContentTemplate>
  </asp:UpdatePanel>
  <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate>
      <div id="divLoading"> <img src="/admin/images/loading.gif" /> </div>
    </ProgressTemplate>
  </asp:UpdateProgress>
</form>
</body>
</html>
